#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './channelwidget.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "channelwidget.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ChannelWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ChannelWidget::ChannelWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ChannelWidget" );
    ChannelWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "ChannelWidgetLayout"); 

    _listview = new KListView( this, "_listview" );
    _listview->addColumn( tr2i18n( "Channel Number" ) );
    _listview->addColumn( tr2i18n( "Channel Name" ) );
    _listview->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, _listview->sizePolicy().hasHeightForWidth() ) );
    _listview->setFrameShadow( KListView::Sunken );
    _listview->setAllColumnsShowFocus( TRUE );
    _listview->setShowSortIndicator( FALSE );
    _listview->setRootIsDecorated( FALSE );
    _listview->setResizeMode( KListView::LastColumn );
    _listview->setFullWidth( TRUE );

    ChannelWidgetLayout->addMultiCellWidget( _listview, 0, 7, 0, 0 );

    _new = new QPushButton( this, "_new" );

    ChannelWidgetLayout->addWidget( _new, 0, 1 );

    _killdoubles = new QPushButton( this, "_killdoubles" );
    _killdoubles->setEnabled( TRUE );

    ChannelWidgetLayout->addWidget( _killdoubles, 4, 1 );

    _remove = new QPushButton( this, "_remove" );
    _remove->setEnabled( FALSE );

    ChannelWidgetLayout->addWidget( _remove, 1, 1 );

    _rename = new QPushButton( this, "_rename" );
    _rename->setEnabled( FALSE );

    ChannelWidgetLayout->addWidget( _rename, 3, 1 );

    _edit = new QPushButton( this, "_edit" );
    _edit->setEnabled( FALSE );

    ChannelWidgetLayout->addWidget( _edit, 2, 1 );
    Spacer1 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ChannelWidgetLayout->addItem( Spacer1, 5, 1 );

    _moveDown = new QPushButton( this, "_moveDown" );
    _moveDown->setEnabled( FALSE );

    ChannelWidgetLayout->addWidget( _moveDown, 7, 1 );

    _moveUp = new QPushButton( this, "_moveUp" );
    _moveUp->setEnabled( FALSE );

    ChannelWidgetLayout->addWidget( _moveUp, 6, 1 );
    languageChange();
    resize( QSize(495, 370).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChannelWidget::~ChannelWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChannelWidget::languageChange()
{
    _listview->header()->setLabel( 0, tr2i18n( "Channel Number" ) );
    _listview->header()->setLabel( 1, tr2i18n( "Channel Name" ) );
    _new->setText( tr2i18n( "&New..." ) );
    QToolTip::add( _new, tr2i18n( "Create a new channel entry" ) );
    QWhatsThis::add( _new, tr2i18n( "Use New to create a new channel entry." ) );
    _killdoubles->setText( tr2i18n( "&Kill Duplicates" ) );
    QToolTip::add( _killdoubles, tr2i18n( "Remove duplicate channels (same frequency and source) from the list" ) );
    QWhatsThis::add( _killdoubles, tr2i18n( "Use to remove duplicate channels (same frequency and source) from the channel list" ) );
    _remove->setText( tr2i18n( "Remo&ve" ) );
    QToolTip::add( _remove, tr2i18n( "Remove the selected channel from the list" ) );
    QWhatsThis::add( _remove, tr2i18n( "Use Remove to permanently remove the channel from the channel list" ) );
    _rename->setText( tr2i18n( "&Rename..." ) );
    QToolTip::add( _rename, tr2i18n( "Rename the selected channel" ) );
    QWhatsThis::add( _rename, tr2i18n( "Use Rename to give the channels a custom name" ) );
    _edit->setText( tr2i18n( "&Edit..." ) );
    QToolTip::add( _edit, tr2i18n( "Edit the selected channel" ) );
    QWhatsThis::add( _edit, tr2i18n( "Use Edit to modify the details of the selected channel" ) );
    _moveDown->setText( tr2i18n( "Do&wn" ) );
    QToolTip::add( _moveDown, tr2i18n( "Move the selected channel down" ) );
    QWhatsThis::add( _moveDown, tr2i18n( "Use Move Down to move the selected channel to a lower channel number" ) );
    _moveUp->setText( tr2i18n( "&Up" ) );
    QToolTip::add( _moveUp, tr2i18n( "Move the selected channel up" ) );
    QWhatsThis::add( _moveUp, tr2i18n( "Use Move Up to move the selected channel to a higher channel number in the channel list" ) );
}

#include "channelwidget.moc"
